<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>liquidnet-service-order</artifactId>
        <groupId>com.liquidnet</groupId>
        <version>1.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>liquidnet-service-order-impl</artifactId>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-mongodb</artifactId>
        </dependency>
        <dependency>
            <groupId>com.liquidnet</groupId>
            <artifactId>liquidnet-service-kylin-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.liquidnet</groupId>
            <artifactId>liquidnet-service-adam-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.liquidnet</groupId>
            <artifactId>liquidnet-service-candy-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.liquidnet</groupId>
            <artifactId>liquidnet-service-goblin-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.liquidnet</groupId>
            <artifactId>liquidnet-service-smile-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.liquidnet</groupId>
            <artifactId>liquidnet-api-feign-candy</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.liquidnet</groupId>
            <artifactId>liquidnet-common-sms</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.liquidnet</groupId>
            <artifactId>liquidnet-api-feign-adam</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- other -->
        <dependency>
            <groupId>taobao-sdk2-impl</groupId>
            <artifactId>taobao-sdk2-impl</artifactId>
            <version>0.0.3</version>
            <type>jar</type>
            <scope>system</scope>
            <systemPath>${basedir}/lib/taobao-sdk-java-auto_1600401599540-20210607-impl.jar</systemPath>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
        </plugins>
    </build>
</project>
